using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.BusinessLogicsContracts;
using ZooContracts.SearchModel;
using ZooContracts.StoragesContracts;
using ZooContracts.ViewModels;
using ZooDatabaseImplements.Implements;


namespace ZooBusinessLogic.BusinessLogics
{
    public class PaymentLogic : IPaymentLogic
    {
        private readonly ILogger _logger;
        private readonly IPaymentStorage _paymentStorage;
        public PaymentLogic(ILogger<PaymentLogic> logger, IPaymentStorage paymentStorage)
        {
            _logger = logger;
            _paymentStorage = paymentStorage;
        }
        public bool Create(PaymentBindingModel model)
        {
            throw new NotImplementedException();
        }

        public bool Delete(PaymentBindingModel model)
        {
            throw new NotImplementedException();
        }

        public PaymentViewModel? ReadElement(PaymentSearchModel model)
        {
            throw new NotImplementedException();
        }

        public List<PaymentViewModel>? ReadList(PaymentSearchModel? model)
        {
            throw new NotImplementedException();
        }

        public bool Update(PaymentBindingModel model)
        {
            throw new NotImplementedException();
        }
        private void CheckModel(ReserveBindingModel model, bool withParams = true)
        {
            if (model == null)
            {
                throw new ArgumentNullException(nameof(model));
            }
            if (!withParams)
            {
                return;
            }
            _logger.LogInformation("Reserve. Id: {Id}", model.Id);
        }
    }
}
